Bug 1692519 (CVE-2019-8323) - CVE-2019-8323 rubygems: Escape sequence injection vulnerability in API response handling
Summary: CVE-2019-8323 rubygems: Escape sequence injection vulnerability in API respon...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2019-8323
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1695928 1695930 1695932 1692530 1695931 1695933 1695934 1699283 1700313 1700325 1713078
Blocks: 1692529
TreeView+ depends on / blocked
 
Reported: 2019-03-25 19:02 UTC by Pedro Sampaio
Modified: 2019-09-29 15:09 UTC (History)
24 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-10 10:51:53 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2019:1402 None None None 2019-06-07 03:19:11 UTC
Red Hat Product Errata RHBA-2019:1463 None None None 2019-06-12 04:30:14 UTC
Red Hat Product Errata RHSA-2019:1148 None None None 2019-05-13 09:02:51 UTC
Red Hat Product Errata RHSA-2019:1150 None None None 2019-05-13 09:18:57 UTC
Red Hat Product Errata RHSA-2019:1235 None None None 2019-05-15 17:53:14 UTC
Red Hat Product Errata RHSA-2019:1429 None None None 2019-06-11 05:32:41 UTC
JBoss Issue Tracker THREESCALE-2164 Major New Rebuild of AMP backend for rubygems CVEs (Due June 12, 2019) 2019-08-08 12:10:12 UTC

Description Pedro Sampaio 2019-03-25 19:02:32 UTC
An issue was discovered in RubyGems 2.6 and later through 3.0.2. Gem::GemcutterUtilities#with_response may output the API response to stdout as it is. Therefore, if the API side modifies the response, escape sequence injection may occur.

Upstream patch:

https://bugs.ruby-lang.org/attachments/7669

References:

https://www.ruby-lang.org/en/news/2019/03/05/multiple-vulnerabilities-in-rubygems/
https://blog.rubygems.org/2019/03/05/security-advisories-2019-03.html

Comment 1 Pedro Sampaio 2019-03-25 19:14:19 UTC
Created rubygems tracking bugs for this issue:

Affects: fedora-all [bug 1692530]

Comment 2 Scott Gayou 2019-04-03 22:12:04 UTC
Flaws are in gemcutter_utilities.rb 

One example:

```ruby
      if block_given? then
        yield response
      else
        say response.body
```

Comment 5 errata-xmlrpc 2019-05-13 09:02:50 UTC
This issue has been addressed in the following products:

  Red Hat Software Collections for Red Hat Enterprise Linux 7
  Red Hat Software Collections for Red Hat Enterprise Linux 7.4 EUS
  Red Hat Software Collections for Red Hat Enterprise Linux 7.5 EUS
  Red Hat Software Collections for Red Hat Enterprise Linux 7.6 EUS

Via RHSA-2019:1148 https://access.redhat.com/errata/RHSA-2019:1148

Comment 6 errata-xmlrpc 2019-05-13 09:18:56 UTC
This issue has been addressed in the following products:

  Red Hat Software Collections for Red Hat Enterprise Linux 6
  Red Hat Software Collections for Red Hat Enterprise Linux 7
  Red Hat Software Collections for Red Hat Enterprise Linux 7.4 EUS
  Red Hat Software Collections for Red Hat Enterprise Linux 7.5 EUS
  Red Hat Software Collections for Red Hat Enterprise Linux 7.6 EUS

Via RHSA-2019:1150 https://access.redhat.com/errata/RHSA-2019:1150

Comment 7 errata-xmlrpc 2019-05-15 17:53:13 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2019:1235 https://access.redhat.com/errata/RHSA-2019:1235

Comment 12 errata-xmlrpc 2019-06-11 05:32:39 UTC
This issue has been addressed in the following products:

  CloudForms Management Engine 5.10

Via RHSA-2019:1429 https://access.redhat.com/errata/RHSA-2019:1429


Note You need to log in before you can comment on or make changes to this bug.